
%define localstatedir /var/lib
%define _localstatedir %localstatedir


Name:		gretools
Summary:	Vocabulary building tool for GNOME
Version:	1.2.4
Release:	1
Epoch:		0
License:	GPL
Group:		Applications/Education
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://theory.cs.iitm.ernet.in/~arvindn/gretools/
Buildarch:	noarch

Requires: python >= 0:2.2
Requires: gnome-python2 >= 0:1.99
Requires: gnome-python2-gconf >= 0:1.99
Requires: pyorbit >= 0:1.99
Requires: pygtk2 >= 0:1.99
Requires: pygtk2-libglade >= 0:1.99
                                                                                                               
BuildRequires: scrollkeeper >= 0:0.3.5
BuildRequires: automake >= 0:1.6
BuildRequires: autoconf >= 0:2.52
BuildRequires: rpm >= 0:4.1
BuildRequires: desktop-file-utils >= 0:0.2.92

Prereq:         GConf2
Prereq:         /usr/bin/gconftool-2

BuildRequires:  pygtk2-devel >= %{gnome_python2_version}

%description
Gretools consists of a synonym quiz and a word guessing game.
It is very useful for preparing for word tests.

%prep
%setup -q

%build

%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor gretools --delete-original \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications  \
    --add-category GNOME                     \
    --add-category Application                     \
    --add-category Education                     \
    $RPM_BUILD_ROOT%{_datadir}/applications/gretools.desktop
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

#no translations available yet
#%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING ChangeLog INSTALL README
%{_bindir}/*
%{_datadir}/gnome/help
%{_datadir}/pixmaps/gretools.png
%{_datadir}/gretools/glade/*.glade
%{_datadir}/gretools/lists/*.wl
%{_datadir}/applications/*.desktop
%{_datadir}/omf/gretools
%{_libdir}/python*/site-packages/*

%post
scrollkeeper-update
                                                                                                               
%postun
scrollkeeper-update

%changelog
* Sat Jan 24 2004 Arvind Narayanan <arvindn users sourceforge net>
- Added epoch and some other fedora oriented changes

* Tue Jan 20 2004 Arvind Narayanan <arvindn users sourceforge net>
- Wrote Requires and Buildrequires
- updated %doc

* Fri Jan 16 2004 Arvind Narayanan <arvindn users sourceforge net>
- Copied spec file from gnome-blog
